Bug 174486 - Review Request: libopensync - A synchronization framework
Review Request: libopensync - A synchronization framework
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://www.opensync.org/
:
Depends On:
Blocks: FE-ACCEPT 166547 174490 174492 174494 174495 174496 174497 174588
  Show dependency treegraph
 
Reported: 2005-11-29 10:30 EST by Andreas Bierfert
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-13 09:15:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2005-11-29 10:30:13 EST
Spec Name or Url: http://fedora.lowlatency.de/review/libopensync.spec
SRPM Name or Url: http://fedora.lowlatency.de/review/libopensync-0.18-1.src.rpm
Description:
OpenSync is a synchronization framework that is platform and distribution
independent. It consists of several plugins that can be used to connect to
devices, a powerfull sync-engine and the framework itself. The synchronization
framework is kept very flexible and is capable of synchronizing any type of
data, including contacts, calendar, tasks, notes and files.
Comment 1 John Mahowald 2005-12-03 15:00:20 EST
Processing files: libopensync-0.18-1
error: File not found by glob:
/var/tmp/libopensync-0.18-1-root-build/usr/lib/python*/*

Error: SWIG is not installed. You should look at http://www.swig.org


Need BuildReqiures: python-devel swig

Also, when it builds rpmlint shows:
W: libopensync no-version-in-last-changelog
W: libopensync non-conffile-in-etc /etc/ld.so.conf.d/libopensync-32.conf
W: libopensync-debuginfo no-version-in-last-changelog
E: libopensync-debuginfo script-without-shellbang
/usr/src/debug/libopensync-0.18/opensync/opensync_internals.h
E: libopensync-debuginfo script-without-shellbang
/usr/src/debug/libopensync-0.18/opensync/opensync.h
E: libopensync-debuginfo script-without-shellbang
/usr/src/debug/libopensync-0.18/osengine/osengine_engine.c
E: libopensync-debuginfo script-without-shellbang
/usr/src/debug/libopensync-0.18/opensync/opensync_env.c
W: libopensync-devel no-version-in-last-changelog
Comment 2 Andreas Bierfert 2005-12-04 05:02:14 EST
http://fedora.lowlatency.de/review/libopensync.spec
http://fedora.lowlatency.de/review/libopensync-0.18-1.src.rpm

Ok here you go... fixed BR and the non-conf. I don't think it should be
noreplace so ignore this warning. For the last-changelog one: It is present but
due to my lang mail/name combination in the next line which is ok. For the
debuginfo stuff I don't think it is that important is it?
Comment 3 John Mahowald 2005-12-09 23:00:42 EST
- rpmlint says:
W: libopensync no-version-in-last-changelog
W: libopensync conffile-without-noreplace-flag /etc/ld.so.conf.d/libopensync-32.conf
W: libopensync-debuginfo no-version-in-last-changelog
E: libopensync-debuginfo script-without-shellbang
/usr/src/debug/libopensync-0.18/opensync/opensync_internals.h
E: libopensync-debuginfo script-without-shellbang
/usr/src/debug/libopensync-0.18/opensync/opensync.h
E: libopensync-debuginfo script-without-shellbang
/usr/src/debug/libopensync-0.18/osengine/osengine_engine.c
E: libopensync-debuginfo script-without-shellbang
/usr/src/debug/libopensync-0.18/opensync/opensync_env.c
W: libopensync-devel no-version-in-last-changelog

* No, script-without-shellbang for debuginfo source isn't very important, though
a simple chmod -x on the files would fix it.
* ignoring changelog with the line break
* that conf file isn't going to be editing by user, ignoring noreplace

- package meets naming guidelines
- package meets packaging guidelines
- license (LGPL) OK, text in %doc, matches source
- spec file legible
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

Take a look at:
Minor: %{_datadir}/opensync  directory empty, somewhat useless

Remove useless dir and chmod -x source and this is APPROVED
Comment 4 Andreas Bierfert 2005-12-10 19:06:17 EST
Thanks for your time. Just with the two things you pointed out:

the empty dir is owned by libopensync because it is the dir all plugins will
install into an thus the cleanest way is to have it owned by libopensync as sort
of the base package.

For the chmod part: .c and .h file should never ever be +x (executable) imho. If
you take a look at the source tree these are marked executable (for no good
reason) so I have added a chmod -x to the dir which should get rid of these errors.

http://fedora.lowlatency.de/review/libopensync.spec
http://fedora.lowlatency.de/review/libopensync-0.18-3.src.rpm
Comment 5 John Mahowald 2005-12-11 02:57:50 EST
(In reply to comment #4)
> 
> the empty dir is owned by libopensync because it is the dir all plugins will
> install into an thus the cleanest way is to have it owned by libopensync as sort
> of the base package.
> 

OK. APPROVED
Comment 6 Aurelien Bompard 2005-12-12 11:15:45 EST
Possible improvement : instead of using two sources for ld.so.conf.d, why no
just create them in the spec file ? Ex:
cat > $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/opensync.conf << EOF
%{_libdir}/opensync/
%{_libdir}/opensync/formats/
%{_libdir}/opensync/plugins/
EOF
Comment 7 Andreas Bierfert 2005-12-12 11:44:33 EST
I don't know about this. I tought that these kind of things should not be done?
Comment 8 Aurelien Bompard 2005-12-12 12:30:24 EST
Really ? I'd say that it's ok for small files (I would put a desktop file in an
extra source for example), and here it benefits a lot from the macro expansion.
Any reason why it should not be done ?
Comment 9 Andreas Bierfert 2005-12-13 03:32:27 EST
Ok... :) convinced...

There just is one problem. It builds fine on i386 in the buildsys but vor x86_64
the python file is installed in /usr/lib/python2.4 and not /usr/lib64/python.2.4
. Is this ok? I mean configure seems to detect it like that but seemed wrong to
me on first glance.
Comment 10 Aurelien Bompard 2005-12-13 05:28:33 EST
Seems wrong to me too, but it looks like configure calls 
  python -c "from distutils import sysconfig; print
  sysconfig.get_python_lib(0,0,prefix='/usr')"
which should give the correct path. Could someone with access to an x86_64 box
confirm this ?
Comment 11 Aurelien Bompard 2005-12-13 06:57:52 EST
From
https://www.redhat.com/archives/fedora-devel-list/2005-January/msg00349.html it
looks like configure should actually call "get_python_lib(1,0,prefix='/usr')"
(first argument should be 1). Try patching the script.
Comment 12 Andreas Bierfert 2005-12-13 09:15:55 EST
Thanks, that fixed it... build for fc4 and fc5. fc3 is blocked by fc3s sqlite
version see bug #175607.

I will close this for now and build fc3 when/if a newer sqlite version will be
released.
Comment 13 Aurelien Bompard 2005-12-13 10:07:29 EST
The best thing to do would be to report this configure bug upstream.
Comment 14 Andreas Bierfert 2005-12-13 10:10:02 EST
done already :)
http://www.opensync.org/ticket/134

Note You need to log in before you can comment on or make changes to this bug.